< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package cache
  Definition Classes
    mongo
-  package collection
- NoSessionException
- SessionCacheRepository
- ShortLivedCacheRepository
-  package lock
  Definition Classes
    mongo
-  package play
  Definition Classes
    mongo

p

uk.gov.hmrc.mongo

# cache 

#### package cache

 
Ordering

1. Alphabetic

Visibility

1. Public
2. All

### Type Members

1.  class SessionCacheRepository[A] extends PlayMongoCacheCollection[A]
2.  class ShortLivedCacheRepository[A] extends PlayMongoCacheCollection[A]

### Value Members

1.  object NoSessionException extends Exception with Product with Serializable

### Ungrouped